SbCylinderSectionProjector(3)

NAME
SbCylinderSectionProjector - The SbCylinderSectionProjector projects 2D points to a sliced cylinder.

SYNOPSIS

#include <Inventor/projectors/SbCylinderSectionProjector.h>

Inherits SbCylinderProjector.

Inherited by SbCylinderPlaneProjector.

  Public Member Functions
SbCylinderSectionProjector (const float edgetol=0.9f, const SbBool orienttoeye=TRUE)
SbCylinderSectionProjector (const SbCylinder &cyl, const float edgetol=0.9f, const SbBool orienttoeye=TRUE)
virtual SbProjector * copy (void) const
virtual SbVec3f project (const SbVec2f &point)
virtual SbRotation getRotation (const SbVec3f &point1, const SbVec3f &point2)
void setTolerance (const float edgetol)
float getTolerance (void) const
SbBool isWithinTolerance (const SbVec3f &point)

  Protected Member Functions
virtual void setupTolerance (void)

  Protected Attributes
float tolerance
float tolDist
SbVec3f planeDir
SbLine planeLine
float planeDist
SbPlane tolPlane

Detailed Description

The SbCylinderSectionProjector projects 2D points to a sliced cylinder. The projection cylinder for this class is sliced by a clipping plane parallel to its height axis. Projections will be mapped to the remaining cylinder part.

See also
    SbSphereSectionProjector

Constructor & Destructor Documentation

  SbCylinderSectionProjector::SbCylinderSectionProjector (const float edgetol = 0.9f, const SbBool orienttoeye = TRUE)
Default constructor. See SbCylinderProjector::SbCylinderProjector().

The edgetol value should be within <0, 1], and specifies how much of the cylinder is used as a projection surface. 1.0 means the full front half is used.

  SbCylinderSectionProjector::SbCylinderSectionProjector (const SbCylinder & cyl, const float edgetol = 0.9f, const SbBool orienttoeye = TRUE)
Constructor with explicit setting of the projection cylinder.

Member Function Documentation

  SbProjector * SbCylinderSectionProjector::copy (void) const [virtual]
Construct and return a copy of this projector. The caller is responsible for destructing the new instance.

Note that if the Coin library has been built as a DLL under Microsoft Windows and you use this method from application code, you must make sure that both the Coin DLL and the application executable are using the same instance of a C Run-Time (CRT) library. Otherwise, you will get memory heap corruption upon deallocating the returned instances, eventually leading to mysterious crashes.

Implements SbProjector.

Reimplemented in SbCylinderPlaneProjector.

  SbVec3f SbCylinderSectionProjector::project (const SbVec2f & point) [virtual]
Project the 2D point from normalized viewport coordinates to a 3D point. The mapping will be done in accordance with the type of the projector.

Implements SbCylinderProjector.

Reimplemented in SbCylinderPlaneProjector.

  SbRotation SbCylinderSectionProjector::getRotation (const SbVec3f & point1, const SbVec3f & point2) [virtual]
Returns rotation on the projection surface which reorients point1 to point2.

Implements SbCylinderProjector.

Reimplemented in SbCylinderPlaneProjector.

  void SbCylinderSectionProjector::setTolerance (const float edgetol)
The edgetol value decides how much of the surface of the cylinder is used for projection. 1.0 means the full cylinder half is used.

  float SbCylinderSectionProjector::getTolerance (void) const
Returns edge tolerance for the cylinder half.

  SbBool SbCylinderSectionProjector::isWithinTolerance (const SbVec3f & point)
Check if point is within the part of the cylinder used for projections.

  void SbCylinderSectionProjector::setupTolerance (void) [protected], [virtual]
Recalculate the internal projection surface settings. Needs to be done if any of the parameters influencing the projection surface have been changed from subclasses without using the access methods.

Member Data Documentation

  SbCylinderSectionProjector::tolerance [protected]
Tolerance value, deciding how much of the half-cylinder to do projections against.

  SbCylinderSectionProjector::tolDist [protected]
Tolerance value multiplied with the cylinder radius.

  SbCylinderSectionProjector::planeDir [protected]
Direction of cutting plane.

  SbCylinderSectionProjector::planeLine [protected]
A line within the plane which is parallel to the cylinder axis.

  SbCylinderSectionProjector::planeDist [protected]
Distance from plane to cylinder axis.

  SbCylinderSectionProjector::tolPlane [protected]
Defines the plane cutting the cylinder into a projection part.

Author

Generated automatically by Doxygen for Coin from the source code.